/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Protocol.java 20819 2011-02-02 16:00:53Z benoitf $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.autostart.configuration;

/**
 * Build a new protocol object.
 * @author skabore
 */
public class Protocol {

    /**
     * The protocol name.
     */
    private String name;

    /**
     * The protocol port number.
     */
    private String port;

    /**
     * The enable value.
     */
    private boolean isEnabled;

    /**
     * Default constructor.
     */
    public Protocol() {
    }

    /**
     * Create a new Protocol object.
     * @param name the protocol name
     * @param port the protocol port number
     * @param isEnabled the enable value
     */
    public Protocol(final String name, final String port, final boolean isEnabled) {
        this.name = name;
        this.port = port;
        this.isEnabled = isEnabled;
    }

    /**
     * @return name
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name value.
     * @param name the new value
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * @return port
     */
    public String getPort() {
        return port;
    }

    /**
     * Sets the port value.
     * @param port the new value
     */
    public void setPort(final String port) {
        this.port = port;
    }

    /**
     * @return isEnabled
     */
    public boolean getIsEnabled() {
        return isEnabled;
    }

    /**
     * Sets the isEnabled value.
     * @param isEnabled the new value
     */
    public void setIsEnabled(final boolean isEnabled) {
        this.isEnabled = isEnabled;
    }
}
