/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Service.java 20819 2011-02-02 16:00:53Z benoitf $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.autostart.configuration;

/**
 * Build a new service object.
 * @author skabore
 */
public class Service {

    /**
     * The protocol name.
     */
    private String name;

    /**
     * The enable value.
     */
    private boolean isEnabled;

    /**
     * Default constructor.
     */
    public Service() {
    }

    /**
     * Create a new Protocol object.
     * @param name the protocol name
     * @param isEnabled the enable value
     */
    public Service(final String name, final boolean isEnabled) {
        this.name = name;
        this.isEnabled = isEnabled;
    }

    /**
     * @return name
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name value.
     * @param name the new value
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * @return isEnabled
     */
    public boolean getIsEnabled() {
        return isEnabled;
    }

    /**
     * Sets the isEnabled value.
     * @param isEnabled the new value
     */
    public void setIsEnabled(final boolean isEnabled) {
        this.isEnabled = isEnabled;
    }
}
